
︠e5c36da1-7033-403c-b029-094047591cbc︠

top_cost = 0.5
bottom_cost = 1.3
side_cost = 5

ideal_ratio = 2
volume_goal = 64*1000

def testAquariumDesign( length, width, height ):
    ratio = length / width
    volume = length*width*height
    satisfied = true

    print "The length-to-width ratio is", ratio,
    if (ratio < ideal_ratio*0.99):
        print "which is too small."
        satisfied = false
    elif (ratio > ideal_ratio*1.01):
        print "which is too large."
        satisfied = false
    elif (ratio == 2):
        print "which is perfect!"
    else:
        print "which is close enough!"

    print "The volume is", volume,
    if (volume < volume_goal*0.99):
        print "which is too small."
        satisfied = false
    elif (volume > volume_goal*1.01):
        print "which is too large."
        satisfied = false
    elif (volume == volume_goal):
        print "which is perfect!"
    else:
        print "which is close enough!"

    return satisfied

def analyzeAquariumDesign( length, width, height ):
    bottom_top_area = length*width
    front_back_area = length*height
    left_right_area = width*height

    print "The left and right panels have an area of", left_right_area, "costing $", side_cost*left_right_area*0.01
    print "The front and back panels have an area of", front_back_area, "costing $", side_cost*front_back_area*0.01
    print "The top panel has an area of", bottom_top_area, "costing $", top_cost*bottom_top_area*0.01
    print "The bottom panel has an area of", bottom_top_area, "costing $", bottom_cost*bottom_top_area*0.01
    print

    if (testAquariumDesign( length, width, height )==true):
        print "The design meets the customer requirements. :-)"
    else:
        print "The design does not meet the customer requirements!!!"

    cost = top_cost*bottom_top_area + bottom_cost*bottom_top_area + 2*front_back_area*side_cost + 2*left_right_area*side_cost

    print "The total cost is $", cost*0.01

︡602a57d0-ba72-4489-809f-4adf5b045b89︡
︠6f697cd6-ccbf-4edd-9933-cd42d73d9ec1︠
analyzeAquariumDesign( 17, 34, 20 )
︡dba2fca5-4abf-4a64-aa76-6c1e39ebfd40︡{"stdout":"The left and right panels have an area of 680 costing $ 34.0000000000000\nThe front and back panels have an area of 340 costing $ 17.0000000000000\nThe top panel has an area of 578 costing $ 2.89000000000000\nThe bottom panel has an area of 578 costing $ 7.51400000000000\n\nThe length-to-width ratio is 1/2 which is too small.\nThe volume is 11560 which is too small.\nThe design does not meet the customer requirements!!!\nThe total cost is $ 112.404000000000\n"}︡
︠4634d3e3-961a-477a-b3d4-eae6ae063e72︠

34*2 + 17*2 + 2.89 + 7.514
︡ea6ebbf6-7bae-419c-8d12-790cb6779089︡{"stdout":"112.404000000000\n"}︡
︠ed2eb551-f942-439e-9645-58ff20519a1d︠
analyzeAquariumDesign( 188, 94, 110 )
︡8f6a7c6e-4240-4e44-b80b-7432b3e7e970︡{"stdout":"The left and right panels have an area of 10340 costing $ 517.000000000000\nThe front and back panels have an area of 20680 costing $ 1034.00000000000\nThe top panel has an area of 17672 costing $ 88.3600000000000\nThe bottom panel has an area of 17672 costing $ 229.736000000000\n\nThe length-to-width ratio is 2 which is perfect!\nThe volume is 1943920 which is too large.\nThe design does not meet the customer requirements!!!\nThe total cost is $ 3420.09600000000\n"}︡
︠6942d86a-ddd3-4da6-8221-9612813cdc82︠
analyzeAquariumDesign( 94, 47, 110 )
︡e0579197-efe2-4e09-910d-7ac0a756492d︡{"stdout":"The left and right panels have an area of 5170 costing $ 258.500000000000\nThe front and back panels have an area of 10340 costing $ 517.000000000000\nThe top panel has an area of 4418 costing $ 22.0900000000000\nThe bottom panel has an area of 4418 costing $ 57.4340000000000\n\nThe length-to-width ratio is 2 which is perfect!\nThe volume is 485980 which is too large.\nThe design does not meet the customer requirements!!!\nThe total cost is $ 1630.52400000000\n"}︡
︠898f3d17-bf63-486e-b248-ac87e39697f3︠
analyzeAquariumDesign( 100, 50, 48 )
︡8af9b6c8-2071-4e01-a155-3c497d9a60d6︡{"stdout":"The left and right panels have an area of 2400 costing $ 120.000000000000\nThe front and back panels have an area of 4800 costing $ 240.000000000000\nThe top panel has an area of 5000 costing $ 25.0000000000000\nThe bottom panel has an area of 5000 costing $ 65.0000000000000\n\nThe length-to-width ratio is 2 which is perfect!\nThe volume is 240000 which is too large.\nThe design does not meet the customer requirements!!!\nThe total cost is $ 810.000000000000\n"}︡
︠cbf5a4a6-af0a-4cfb-81a4-aabfa3865083︠
analyzeAquariumDesign( 66, 33, 32 )
︡505e462a-c694-45ea-9f9b-aa4bc36bd157︡{"stdout":"The left and right panels have an area of 1056 costing $ 52.8000000000000\nThe front and back panels have an area of 2112 costing $ 105.600000000000\nThe top panel has an area of 2178 costing $ 10.8900000000000\nThe bottom panel has an area of 2178 costing $ 28.3140000000000\n\nThe length-to-width ratio is 2 which is perfect!\nThe volume is 69696 which is too large.\nThe design does not meet the customer requirements!!!\nThe total cost is $ 356.004000000000\n"}︡
︠c4079c05-d047-455f-a40f-2daceaba43e2︠
analyzeAquariumDesign( 66, 33, 30 )
︡015c3365-1ff5-4051-a797-a48c91685573︡{"stdout":"The left and right panels have an area of 990 costing $ 49.5000000000000\nThe front and back panels have an area of 1980 costing $ 99.0000000000000\nThe top panel has an area of 2178 costing $ 10.8900000000000\nThe bottom panel has an area of 2178 costing $ 28.3140000000000\n\nThe length-to-width ratio is 2 which is perfect!\nThe volume is 65340 which is too large.\nThe design does not meet the customer requirements!!!\nThe total cost is $ 336.204000000000\n"}︡
︠5269635c-0239-47cd-9a7c-72fdd08f0c72︠
analyzeAquariumDesign( 66, 33, 29 )
︡939d8bac-db0c-484d-bad3-8363efdf7f1f︡{"stdout":"The left and right panels have an area of 957 costing $ 47.8500000000000\nThe front and back panels have an area of 1914 costing $ 95.7000000000000\nThe top panel has an area of 2178 costing $ 10.8900000000000\nThe bottom panel has an area of 2178 costing $ 28.3140000000000\n\nThe length-to-width ratio is 2 which is perfect!\nThe volume is 63162 which is too small.\nThe design does not meet the customer requirements!!!\nThe total cost is $ 326.304000000000\n"}︡
︠57e76900-8deb-45c1-9ca1-5df7bfa8dbce︠
analyzeAquariumDesign( 66, 33, 29.5 )
︡a12c7136-2993-437b-b1a3-85dd16a89c29︡{"stdout":"The left and right panels have an area of 973.500000000000 costing $ 48.6750000000000\nThe front and back panels have an area of 1947.00000000000 costing $ 97.3500000000000\nThe top panel has an area of 2178 costing $ 10.8900000000000\nThe bottom panel has an area of 2178 costing $ 28.3140000000000\n\nThe length-to-width ratio is 2 which is perfect!\nThe volume is 64251.0000000000 which is close enough!\nThe design meets the customer requirements. :-)\nThe total cost is $ 331.254000000000\n"}︡
︠63621662-05d0-47bc-8652-b7e2d03fd3c5︠
︡016e7977-4205-480b-b78a-66af29c7c741︡
︠be826c22-ab1b-48bc-9acb-ba987a997299︠









